<?php
	
	$deep_fonts_array = deep_fonts_array_builder();
	
	$deep_style_general_options= array( array(
		"name" => "Search",
		"type" => "title",
	),
	
	array(
		"type" => "open",
		"subtitles"=>array(array("id"=>"search", "name"=>"Search"))
	),
	
	/* ------------------------------------------------------------------------*
	 * Search
	 * ------------------------------------------------------------------------*/
	
	array(
		"type" => "subtitle",
		"id"=>"search"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Search Input</h3>'
	),
	
	array(
		"name" => "Opening Effect",
		"id" => "deep_search_open_effect",
		"type" => "select",
		"options" => array(array("id"=>"slide_left", "name"=>"Slide from Left"), array("id"=>"slide_right", "name"=>"Slide from Right"), array("id"=>"slide_top", "name"=>"Slide from Top"), array("id"=>"slide_bottom", "name"=>"Slide from Bottom"), array("id"=>"unfold_horizontal", "name"=>"Unfold Horizontally"), array("id"=>"unfold_vertical", "name"=>"Unfold Vertically"), array("id"=>"unfold_center", "name" => "Unfold from Center"), array("id"=>"unfold_top_left", "name" => "Unfold from Top Left"), array("id"=>"unfold_top_right", "name"=>"Unfold from Top Right"), array("id"=>"unfold_bottom_left", "name"=>"Unfold from Bottom Left"), array("id"=>"unfold_bottom_right", "name"=>"Unfold from Bottom Right"), array("id"=>"fade", "name"=>"Fade"), array("id"=>"none", "name"=>"None")),
		"std" => "fade"
	),
	
	array(
		"name" => "Background Color",
		"id" => "deep_search_input_background_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_search_input_background_opacity",
		"type" => "opacity_slider",
		"std" => "100"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_search_input_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"std" => "Mulish|||600|||googleFonts"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_search_input_font_size",
		"type" => "slider",
		"std" => "45px"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_search_input_font_color",
		"type" => "color",
		"std" => "101010"
	),
	
	array(
		"name" => "Show Underline ?",
		"id" => "deep_search_input_enable_underline",
		"type" => "checkbox",
		"std" => 'off'
	),
	
	array(
		"name" => "Underline Color",
		"id" => "deep_search_input_underline_color",
		"type" => "color",
		"std" => "101010"
	),
	
	array(
		"name" => "Enable Animations ?",
		"id" => "deep_search_input_enable_animations",
		"type" => "checkbox",
		"std" => 'on'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Search Results</h3>'
	),
	
	array(
		"name" => "Background Color",
		"id" => "deep_search_result_background_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Selected Result Background Color",
		"id" => "deep_search_selected_result_background_color",
		"type" => "color",
		"std" => "f2f2f2"
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_search_result_background_opacity",
		"type" => "opacity_slider",
		"std" => "98"
	),
	
	array(
		"name" => "Borders",
		"id" => "deep_search_result_borders",
		"type" => "color",
		"std" => "dedede"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_search_result_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"std" => "Mulish|||600|||googleFonts"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_search_result_font_size",
		"type" => "slider",
		"std" => "14px"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_search_result_font_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array(
		"name" => "Selected Result Font Color",
		"id" => "deep_search_selected_result_font_color",
		"type" => "color",
		"std" => "757575"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>Search Results Details</h5>'
	),
	
	array(
		"name" => "Font",
		"id" => "deep_search_result_details_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"std" => "Mulish|||400|||googleFonts"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_search_result_details_font_size",
		"type" => "slider",
		"std" => "12px"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_search_result_details_font_color",
		"type" => "color",
		"std" => "c2c2c2"
	),
	
	array(
		"name" => "Select Result Font Color",
		"id" => "deep_search_selected_result_details_font_color",
		"type" => "color",
		"std" => "c2c2c2"
	),
	
	array(
		"type" => "close"
	),
	
	/*close array*/
	
	array(
		"type" => "close"
	));
	
	deep_add_style_options($deep_style_general_options);
	
?>